# FoundationClasses
TKernel
Standard

# Standard_Persistent Class Reference

`#include <Standard_Persistent_proto.hxx>`

## Public Member Functions

void * | operator new (size_t s)
void | operator delete (void *p)
void * | operator new (size_t, void *anAddress)
virtual Standard_EXPORT Handle_Standard_Persistent | This () const
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | Delete () const
virtual Standard_EXPORT | ~Standard_Persistent ()
Standard_EXPORT Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual Standard_EXPORT const Handle_Standard_Type & | DynamicType () const
Standard_EXPORT Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_EXPORT Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Standard_EXPORT Standard_Integer | HashCode (const Standard_Integer Upper) const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &) const
void * | operator new (size_t s)
void | operator delete (void *p)
void * | operator new (size_t, void *anAddress)
virtual Standard_EXPORT Handle_Standard_Persistent | This () const
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | Delete () const
virtual Standard_EXPORT | ~Standard_Persistent ()
Standard_EXPORT Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual Standard_EXPORT const Handle_Standard_Type & | DynamicType () const
Standard_EXPORT Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_EXPORT Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Standard_EXPORT Standard_Integer | HashCode (const Standard_Integer Upper) const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &) const

## Private Attributes

Standard_Integer | count
Standard_Integer | _typenum
Standard_Integer | _refnum

## Constructor & Destructor Documentation

virtual Standard_EXPORT Standard_Persistent::~Standard_Persistent | ( |  | ) | `[virtual]`

Standard_Persistent::Standard_Persistent | ( |  | ) | `[inline]`

Standard_Persistent::Standard_Persistent | ( | const Standard_Persistent & |  | ) | `[inline]`

Standard_Persistent::Standard_Persistent | ( | const Storage_stCONSTclCOM & |  | ) | `[inline]`

virtual Standard_EXPORT Standard_Persistent::~Standard_Persistent | ( |  | ) | `[virtual]`

Standard_Persistent::Standard_Persistent | ( |  | ) | `[inline]`

Standard_Persistent::Standard_Persistent | ( | const Standard_Persistent & |  | ) | `[inline]`

Standard_Persistent::Standard_Persistent | ( | const Storage_stCONSTclCOM & |  | ) | `[inline]`

## Member Function Documentation

virtual Standard_EXPORT void Standard_Persistent::Delete | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void Standard_Persistent::Delete | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT const Handle_Standard_Type& Standard_Persistent::DynamicType | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT const Handle_Standard_Type& Standard_Persistent::DynamicType | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT Standard_Integer Standard_Persistent::HashCode | ( | const Standard_Integer | Upper | ) | const`[virtual]`

virtual Standard_EXPORT Standard_Integer Standard_Persistent::HashCode | ( | const Standard_Integer | Upper | ) | const`[virtual]`

Standard_EXPORT Standard_Boolean Standard_Persistent::IsInstance | ( | const Handle_Standard_Type & |  | ) | const

Standard_EXPORT Standard_Boolean Standard_Persistent::IsInstance | ( | const Handle_Standard_Type & |  | ) | const

Standard_EXPORT Standard_Boolean Standard_Persistent::IsKind | ( | const Handle_Standard_Type & |  | ) | const

Standard_EXPORT Standard_Boolean Standard_Persistent::IsKind | ( | const Handle_Standard_Type & |  | ) | const

void Standard_Persistent::operator delete | ( | void * | p | ) | `[inline]`

void Standard_Persistent::operator delete | ( | void * | p | ) | `[inline]`

void* Standard_Persistent::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void* Standard_Persistent::operator new | ( | size_t | s | ) | `[inline]`

void* Standard_Persistent::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void* Standard_Persistent::operator new | ( | size_t | s | ) | `[inline]`

Standard_EXPORT Standard_Persistent& Standard_Persistent::operator= | ( | const Standard_Persistent & |  | ) |

Standard_EXPORT Standard_Persistent& Standard_Persistent::operator= | ( | const Standard_Persistent & |  | ) |

virtual Standard_EXPORT Handle_Standard_Persistent Standard_Persistent::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT Handle_Standard_Persistent Standard_Persistent::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void Standard_Persistent::ShallowDump | ( | Standard_OStream & |  | ) | const`[virtual]`

virtual Standard_EXPORT void Standard_Persistent::ShallowDump | ( | Standard_OStream & |  | ) | const`[virtual]`

virtual Standard_EXPORT Handle_Standard_Persistent Standard_Persistent::This | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT Handle_Standard_Persistent Standard_Persistent::This | ( |  | ) | const`[virtual]`

## Field Documentation

Standard_Integer Standard_Persistent::_refnum `[private]`

Standard_Integer Standard_Persistent::_typenum `[private]`

Standard_Integer Standard_Persistent::count `[private]`

The documentation for this class was generated from the following files:

- Standard_Persistent.hxx
- Standard_Persistent_proto.hxx